Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-01-2018 12:58:08

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

apt autoremove supprime firefox-esr-l10n-fr

Salut
2éme fois que je me fais avoir...
petit apt autoremove et le systeme me vire firefox-esr-l10n-fr (résultat firefox n'est plus en Fr normal)
Je le reinstall , refais un apt ugrade et la pareil le paquet est candidat pour l'autoremove
Du coup j'ai fais

apt-mark manual firefox-esr-l10n-fr



Et la le paquet n'est plus proposé pour autoremove

Dernière modification par Croutons (14-01-2018 12:58:33)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#2 14-01-2018 13:28:17

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

Bonjour,
Tu utilises quelle version de firefox ? La esr des dépôts ?

En ligne

#3 14-01-2018 15:18:19

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

oui celle des dépôts

 apt policy firefox-esr


firefox-esr:
  Installé : 52.5.2esr-1~deb9u1
  Candidat : 52.5.2esr-1~deb9u1
 Table de version :
 *** 52.5.2esr-1~deb9u1 500
        500 http://security.debian.org stretch/updates/main i386 Packages
        100 /var/lib/dpkg/status
     52.5.0esr-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main i386 Packages



Du coup je colle la liste des fichiers proposé pour autoremove dans un fichier texte
Trop peur d'une mauvaise surprise
Enfin je comprend pas trop le paquet marqué auto n'aurait pas du être supprimé

man apt-mark a écrit :

auto
           auto permet de marquer un paquet comme ayant été installé automatiquement. Un tel paquet sera supprimé
           automatiquement dès que plus aucun paquet installé manuellement ne dépend de lui.


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 14-01-2018 17:54:42

èfpé
Membre
Inscription : 10-07-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

Hello,

Enfin je ne comprends pas trop, le paquet marqué auto n'aurait pas dû être supprimé.

Si justement, le paquet firefox-esr-l10n-fr n'étant la dépendance d'aucun paquet installé :

apt-cache rdepends firefox-esr-l10n-fr


Quant à l'opération autoremove,

apt-get -s autoremove


La commande apt-get est peut-être ringarde mais au contraire d'apt elle permet de simuler.

Dernière modification par èfpé (14-01-2018 19:04:42)

Hors ligne

#5 14-01-2018 18:24:36

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

ah ok
merci pour les précisions
Mais justement il y a quand même un problème, le paquet aurait du être une dépendance...point de paquet point de Français

ok pour la simulation mais je savais que apt autoremove allait me virer le paquet , apt upgrade affiche les candidats pour l'autoremove
Ce que je trouve étrange c'est que personne c'est plaint de ne plus avoir Firefox en Fr sur le forum
Soit personne fait d'autoremove ou y'a que chez moi que le paquet saute?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 14-01-2018 18:45:29

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

J'avoue ne pas trop comprendre non plus.
Chez moi, le paquet est installé et n'est pas proposé à la suppression "autoremove".
Et je comprends encore moins qu'il soit proposé à la suppression après une installation qui aurait dû le faire passer en manuel :

Croutons a écrit :

Je le reinstall , refais un apt ugrade et la pareil le paquet est candidat pour l'autoremove



ça se passe sur quel système ? il y en a plusieurs dans ton profil.

èfpé a écrit :

La commande apt-get est peut-être ringarde mais au contraire d'apt elle permet de simuler.


Chez moi une simulation semble pourtant opérationnelle :

sudo apt -s autoremove


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  libavdevice57 libobs0 libopenal-data libopenal1 libsdl2-2.0-0 obs-plugins
0 mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
Remv obs-plugins [0.15.4+dfsg1-1+b1]
Remv libavdevice57 [7:3.2.9-1~deb9u1]
Remv libobs0 [0.15.4+dfsg1-1+b1]
Remv libopenal1 [1:1.17.2-4+b2]
Remv libopenal-data [1:1.17.2-4]
Remv libsdl2-2.0-0 [2.0.5+dfsg1-2]


et les paquets sont toujours présents (installés) comme il se doit avec une simulation.

apt policy libavdevice57 libobs0 libopenal-data libopenal1 libsdl2-2.0-0 obs-plugins


libavdevice57:
  Installé : 7:3.2.9-1~deb9u1
  Candidat : 7:3.2.9-1~deb9u1
 Table de version :
     10:3.3.6-dmo1+deb9u1 -1
         -1 http://www.deb-multimedia.org stable/main amd64 Packages
 *** 7:3.2.9-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
        100 /var/lib/dpkg/status
libobs0:
  Installé : 0.15.4+dfsg1-1+b1
  Candidat : 0.15.4+dfsg1-1+b1
 Table de version :
     1:19.0.2-dmo2+deb9u1 -1
         -1 http://www.deb-multimedia.org stable/main amd64 Packages
 *** 0.15.4+dfsg1-1+b1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
libopenal-data:
  Installé : 1:1.17.2-4
  Candidat : 1:1.17.2-4
 Table de version :
 *** 1:1.17.2-4 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
libopenal1:
  Installé : 1:1.17.2-4+b2
  Candidat : 1:1.17.2-4+b2
 Table de version :
 *** 1:1.17.2-4+b2 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
libsdl2-2.0-0:
  Installé : 2.0.5+dfsg1-2
  Candidat : 2.0.5+dfsg1-2
 Table de version :
 *** 2.0.5+dfsg1-2 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status
obs-plugins:
  Installé : 0.15.4+dfsg1-1+b1
  Candidat : 0.15.4+dfsg1-1+b1
 Table de version :
     1:19.0.2-dmo2+deb9u1 -1
         -1 http://www.deb-multimedia.org stable/main amd64 Packages
 *** 0.15.4+dfsg1-1+b1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status

En ligne

#7 14-01-2018 18:58:42

èfpé
Membre
Inscription : 10-07-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

Re-,

Mais justement il y a quand même un problème, le paquet aurait dû être une dépendance...

Ah ? et à quel titre ? la priorité de la langue française sur les 90 autres langues supportées ? Bien qu'issu du paquet source firefox-esr, le paquet firefox-esr-l10n-fr n'est qu'une dépendance du paquet firefox-esr-l10n-all, lequel n'est pas non plus une dépendance du paquet firefox-esr, même pas une suggestion...

Chez moi, le paquet est installé et n'est pas proposé à la suppression "autoremove".

Que retourne sur ton système la commande :

apt-mark showmanual firefox*


Digression : vu pour la simulation, non documentée dans le man de la commande apt hmm

Dernière modification par èfpé (14-01-2018 19:08:42)

Hors ligne

#8 14-01-2018 19:19:36

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

èfpé a écrit :

Digression : vu pour la simulation, non documentée dans le man de la commande apt


c'est vrai que c'est "light"

La commande apt-mark showmanual firefox* ne donne aucun retour.
J'ai installé debian avec l'iso net-install en choisissant Mate et firefox-esr est installé par défaut comme dans tous les bureaux me semble-t-il ? Je ne me souviens pas avoir dû installer le paquet de langue donc ça doit être fait d'après le choix de langue à l'installation.
Mais bon, ça n'empêche pas que Croutons ayant "décidé" d'installer le paquet firefox-esr-l10n-fr, il n'aurait pas dû être proposé ensuite en autoremove ce que je ne comprends pas. scratchhead.gif

Edit : je vais déplacer le fil dans gestion des paquets plutôt que bar

En ligne

#9 14-01-2018 19:37:16

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : apt autoremove supprime firefox-esr-l10n-fr

Bonjour
avec le paquet mate-core , firefox n'est pas installé
l'installation de firefox-esr n'installe aucun paquet de langue , je le fait manuellement .
le paquet n'est pas proposé en autoremove si firefox est installé
faut peut etre tester "apt-get autoremove" au lieu de "apt"
avec apt-get un paquet proposé en "autoremove" il suffit de l'enlever puis de le réinstaller et il n'apparait plus en "autoremove"

Hors ligne

#10 14-01-2018 20:02:40

solar66
Adhérent(e)
Distrib. : debian stretch
Noyau : Linux 4-9-0-3-amd64
(G)UI : xfce
Inscription : 23-08-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

chez moi,

apt autoremove
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour
 



avec, bien sur, firefox ESR en français d'installé

thierry

Hors ligne

#11 14-01-2018 21:50:42

èfpé
Membre
Inscription : 10-07-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

Re-,

À noter que le paquet firefox-esr-l10n-fr est une recommandation du paquet task-french-desktop (dont il est d'ailleurs question sur le wiki), le comportement observé a nécessairement une explication (l'image ayant servi à l'installation, l'historique plus ou moins mouvementé du système : HandyLinux 2.5 → Debian 8 → Debian 9, le passage de firefox à firefox-esr).

Dernière modification par èfpé (14-01-2018 22:10:42)

Hors ligne

#12 15-01-2018 10:31:36

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : apt autoremove supprime firefox-esr-l10n-fr

Salut
Oui j'ai vu ça aussi task-french-desktop pas installé sur ma Debian
Enfin c'est pas un probleme maintenant que le paquet est marqué manual il est plus candidat a l'autoremove...c'est pour çà que j'avais posté dans le bar car je voulais juste avoir votre avis sur la question
merci d’être passé par ici smile

HandyLinux 2.5 → Debian 8 → Debian 9, le passage de firefox à firefox-esr


Oui c'est bien ça

l'historique plus ou moins mouvementé du système


tu y vas fort quand même, fonctionne très bien ma Debian tongue... bon le processeur pédale a 100% mais bon big_smile


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums